include: 
  - remote: 'https://gitlab.com/notesonjava-tools/gradle-scripts/gitl-lab-templates/raw/master/.docker-template.yml'


variables:
  DOCKER_DRIVER: overlay2
  CONTAINER_IMAGE: registry.gitlab.com/$CI_PROJECT_PATH

docker-tag:
  extends: .buildDocker
  except:
    - release
    - /^([0-9]+)\.([0-9]+\.)([0-9]+)$/
  script:
    - docker build -t $CONTAINER_IMAGE .
    - docker build --cache-from $CONTAINER_IMAGE:latest --tag $CONTAINER_IMAGE:$CI_COMMIT_REF_NAME .
    - docker push $CONTAINER_IMAGE:$CI_COMMIT_REF_NAME

docker-latest:
  extends: .buildDocker
  only:
    - /^([0-9]+)\.([0-9]+\.)([0-9]+)$/
  script:
    - docker build -t $CONTAINER_IMAGE .
    - docker build --cache-from $CONTAINER_IMAGE:latest --tag $CONTAINER_IMAGE:$CI_COMMIT_TAG --tag $CONTAINER_IMAGE:latest .
    - docker push $CONTAINER_IMAGE:$CI_COMMIT_TAG
    - docker push $CONTAINER_IMAGE:latest    
  